/* SVN FILE: $Id$ */
/**
* Project Name : Project Description
*
* @package className
* @subpackage subclassName
* @author $Author$
* @copyright $Copyright$
* @version $Revision$
* @lastrevision $Date$
* @modifiedby $LastChangedBy$
* @lastmodified $LastChangedDate$
* @license $License$
* @filesource $URL$
*/
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.


    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
    see: http://www.fsf.org/licensing/licenses/gpl-howto.html
*/
/****************************************************************************
** ManDVD
**
** Created: Mon May 08 14:00:00 2006
**      by: Gibault Stphane
**	Hacked on by Mikael Bhm micko@bag.org
**
** This is a tool for simply creating DVD Video
** 
****************************************************************************/

#include <unistd.h>
#include "mandvd_global.h"
#include <mainfrm.h>
#include <qsplashscreen.h>
#include <qapplication.h>
#include <mainfrm.h>
#include <qwidget.h>
#include <qstring.h>
#include <qevent.h>
#include <qtranslator.h>
#include <qtextcodec.h>
#include <qmainwindow.h>

int main(int argc, char **argv)
{
    QApplication a(argc, argv);
    QDir currentDir = QDir::home();
    QString myrec;
    QFile myfic(currentDir.path() + CONFIGFILE);
    QTranslator translator(&a);

    if (myfic.open(IO_ReadOnly)) {
	QTextStream mystream(&myfic);
	myrec = mystream.readLine();
	QString wlanguage = myrec;
	myfic.close();

	if (wlanguage == "SV") {
	    translator.load(QString("/usr/share/mandvd/translations/mandvd_se.qm") +
			    QTextCodec::locale(), ".");

	}
    }

    a.installTranslator(&translator);

    // Try to make the program allocated on the heap. 
    mainfrm *w = new mainfrm();
    a.setMainWidget(w);

    QString message = "Loading ";
    message.append(MANDVDVER);

    QPixmap pixmap("/usr/share/pixmaps/mandvdSplash.png");
    QSplashScreen *splash = new QSplashScreen(pixmap);
    splash->show();

    splash->message(message);
    sleep(2);
    delete splash;

    w->show();
    a.connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()));

    return a.exec();
    delete(w);
}
